Subject: Re: bug#61188: 30.0.50; color-lighten-name seems not to work

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Feb 2023 19:18:50 +0200

> Date: Wed, 01 Feb 2023 14:11:13 +0000
> From: "Mark Bestley" <[email-masked]>
> Cc: [email-masked]
> 
> > So I guess the current behavior is the intended one, and we should
> > close this bug as wontfix?
> 
> No - I think the way 28.2 worked was correct. (for impact see highlight-indent.el which now does not work with a black background )

But by changing the tests to match what Emacs does now we explicitly
said that we disagree, and that the current behavior is the correct
one.

> What is the expected value of (color-lighten-name  "Black" 100) as I don't know where that test is. I would think the test is wrong. Did it run for 28.2?

The test is in test/lisp/color-tests.el.  The expected value is
exactly what you said is wrong.

> Surely lightening Black fully should give white

How so?  The 100 is the percentage of the present luminance, and if
that is zero, why do you expect it to become lighter?

See also the discussion in bug#54514, which was exactly about that.

> In 30 olor-lighten-name  "Black" of any positive value gives Black - surely this cannot be correct.

A zero multiplied by any percentage stays zero, no?  If you want a
non-zero result, start with something close to black, but not actually
black.